# Video Editor Vue2

Vue2 (Nuxt2 & Vuetify2) component used to cut and crop videos

## Installation

Make sure your project is using Vue2, Nuxt2 and Vuetify2.

```bash
npm install g-s-labs/video-editor-vue2
    OR
npm install git+ssh://github.com/g-s-labs/video-editor-vue2.git
```

## Usage

```vue
<template>
  <div>
    <video-editor
      :loading="loading"
      @save-video="save-video"
    />
  </div>
</template>

<script>
import VideoEditor from 'video-editor-vue2/components/VideoEditor.vue'

export default {
  components: {
    VideoEditor
  },

  data () {
    return {
      loading: false
    }
  },

  methods: {
    saveVideo (formData) {
      // The formData object has these properties:
      // - file: the video File
      // - start: the start time of the video
      // - end: the end time of the video
      // - audio: a boolean indicating if the audio should be included
      // - cropX: the x position of the crop
      // - cropY: the y position of the crop
      // - cropWidth: the width of the crop
      // - cropHeight: the height of the crop
    }
  }
}
</script>
```